data_associations_list
const url = 'https://example.com/api/data/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/associations';const options = { method: 'GET', headers: { 'X-Workspace': '2489E9AD-2EE2-8E00-8EC9-32D5F69181C0', Authorization: 'Bearer <token>' }};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/data/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/associations \ --header 'Authorization: Bearer <token>' \ --header 'X-Workspace: 2489E9AD-2EE2-8E00-8EC9-32D5F69181C0'List the information related to all the Data Association objects.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Data ID
Header Parameters
Section titled “Header Parameters”Workspace ID
Query Parameters
Section titled “Query Parameters”Filter associations to only those from this node ID
Which field to use when ordering the results.
A page number within the paginated result set.
Number of results to return per page.
A search term.
Responses
Section titled “Responses”object
Serializer for Data associations.
object
Return serialized data for the current data.
Parameters
obj : DataAssociation The object containing information about the current data.
Returns
list A list of serialized data objects.
Return the interactor information of the object’s creator.
Parameters
obj : DataAssociation The object containing the creator information.
Returns
dict The interactor information of the creator.
object
Return information about the last interactor who edited the object.
Parameters
obj : DataAssociation The object containing the last editor information.
Returns
dict The interactor information of the last editor.
object
Example
{ "count": 123, "next": "http://api.example.org/accounts/?p=4", "previous": "http://api.example.org/accounts/?p=2"}object
object
Example
{ "code": "forbidden", "message": "You do not have permission to perform this operation. Check the `details` property for more details.", "details": [ { "parameter": "data", "code": "not_allowed", "message": "You do not have access to this data." } ]}
